using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace Friend_File
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void writeNameButton_Click(object sender, EventArgs e)
        {
            try
            {
                // Zadeklarowanie zmiennej typu StreamWriter. 
                StreamWriter outputFile;

                // Otworzenie pliku Friend.txt, aby dołączyć do niego dane,
                // i pobranie obiektu StreamWriter. 
                outputFile = File.AppendText("Friend.txt");
                
                // Zapisanie w pliku imienia i nazwiska przyjaciela. 
                outputFile.WriteLine(nameTextBox.Text);
                
                // Zamknięcie pliku. 
                outputFile.Close();
                
                // Poinformowanie użytkownika o zapisaniu imienia i nazwiska. 
                MessageBox.Show("Imię i nazwisko zostały zapisane.");

                // Usunięcie zawartości kontrolki nameTextBox. 
                nameTextBox.Text = "";

                // Aktywowanie kontrolki nameTextBox. 
                nameTextBox.Focus();
            }
            catch (Exception ex)
            {
                // Wyświetlenie komunikatu błędu. 
                MessageBox.Show(ex.Message);
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza. 
            this.Close();
        }
    }
}
